You are not logged in.

#1 2021-08-21 17:55:00

madddmike
Member
From: Raleigh, NC
Registered: 2013-08-25
Posts: 5

[SOLVED] error during AUR search: status 429: Rate limit reached

I am unable to install or even search AUR packages due to always receiving:

error during AUR search: status 429: Rate limit reached

I do not have a daily AUR package check running and this error happens on my first run.

I have tried the following "fixes" from searches:

- un-installed and re-installed "ca-certificates"
- installed various AUR helpers, such as:
  - yay
  - trizen
  - pacaur

Is there a setting or package I'm missing in order to make the commands work?

Thanks,

Mike

Last edited by madddmike (2021-09-18 13:01:08)

Offline

#2 2021-08-21 20:24:30

altermetax
Member
Registered: 2016-03-19
Posts: 72

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

You've made too many requests to the AUR, is there something on your system that automatically checks AUR updates with a very short time in-between?

Offline

#3 2021-08-21 20:39:47

ayekat
Member
Registered: 2011-01-17
Posts: 1,467
Website

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

madddmike wrote:

- installed various AUR helpers, […]

Installing AUR helpers will usually not help resolving AUR issues at all (rather the opposite). Also, how exactly were you searching and installing from the AUR (when receiving that error) before installing any of those helpers?

Is there a setting or package I'm missing in order to make the commands work?

No. The solution is to wait until the AUR unblocks you.

If you are 100% positive that you did nothing wrong, are you sharing a connection/network with other people (at least one of whom is also using Arch or a derivative system) who might have caused this? I'm almost sure the AUR blocks based on the client's (public) IP address.


{,META,RE}PKGBUILDSpacman-hacks (includes makemetapkg and remakepkg) │ dotfiles

Offline

#4 2021-08-22 01:00:07

madddmike
Member
From: Raleigh, NC
Registered: 2013-08-25
Posts: 5

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

Well the only other app I use to install software is pamac which was set to check daily so I bumped it back to once a week.

Anyway, it automagically started after I changed things so  my guess is pamac.

Offline

#5 2021-09-01 19:28:28

serxxx
Member
Registered: 2017-04-02
Posts: 5

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

Yeah, this started happening to me today too; I've never seen this before.

I have no automatic package tasks. I manually sync and upgrade maybe once a week.

Last edited by serxxx (2021-09-01 19:30:28)

Offline

#6 2021-09-01 21:01:05

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,424

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

pamac definitely has a history of doing that, afaik it originally sent a request for every hit that a search would have returned so you can relatively easily trigger this with certain pamac usage, not sure whether that was eventually fixed but that definitely was a problem not too long ago.

Online

#7 2021-09-18 12:26:39

madddmike
Member
From: Raleigh, NC
Registered: 2013-08-25
Posts: 5

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

Yep, I shutoff weekly updates from pamac and no problems since.  smile

Please mark "SOLVED", AFAIC.

Last edited by madddmike (2021-09-18 12:28:28)

Offline

#8 2021-09-18 12:41:25

Slithery
Forum Moderator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 4,750

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

madddmike wrote:

Please mark "SOLVED", AFAIC.

That's your job...
CoC - How to post


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

#9 2021-09-18 13:23:09

robson75
Member
From: Poland
Registered: 2020-06-28
Posts: 50

Re: [SOLVED] error during AUR search: status 429: Rate limit reached

I don't know which pamac you are using, but the latest one is badly designed, not suitable for Arch Linux. Only pamac-classic works very well.
Of course with the option to check for updates turned off.


Arch Linux Xfce+compiz - 64Bit Linux User #621110

Offline

Board footer

Powered by FluxBB